// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdIosIdentScanPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdIosIdentScanPlugin", targets: ["WebIdIosIdentScanPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-document-scanner-spm.git",
            .branch("redesign-v4-snapshots")
        ),
        .package(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-plugin-core-spm.git",
            .branch("redesign-v4-snapshots")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdIosIdentScanPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4-snapshots/de/webid-solutions/WebIdIosIdentScanPlugin/20.0.1/WebIdIosIdentScanPlugin.framework-v20.0.1-SNAPSHOT-1432.zip",
            checksum: "7baa5ac68e4dfd428149cffd5681b3605076db77112829f1c969bc1e8ecbb59e"
        ),
        .target(
            name: "WebIdIosIdentScanPluginWrapper",
            dependencies: [
                .target(name: "WebIdIosIdentScanPlugin"),
                // [target dependecies here]
                
                .product(name: "WebIdDocumentScanner", package: "WebIdDocumentScanner"),
                .product(name: "WebIdPluginCore", package: "WebIdPluginCore"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
